﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="RadHtmlGauge_overlaying.aspx.cs" Inherits="Default" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <style>
        .barometerHolder
        {
            width: 450px;
            height: 450px;
            margin: 35px 65px;
        }
        
        .thermometerHolder
        {
            width: 120px;
            height: 120px;
            position: absolute;
            top: 41px;
            left: 78px;
        }
    </style>
</head>
<body>
    <form id="form1" runat="server">
    <telerik:RadScriptManager ID="RadScriptManager1" runat="server">
    </telerik:RadScriptManager>
    <div class="barometerHolder">
        <telerik:RadRadialGauge runat="server" ID="BarometerGauge" Width="380px" Height="380px"
            Style="z-index: 1000;">
            <Pointer Value="700" Color="#000000">
            </Pointer>
            <Scale Min="0" Max="1100" MajorUnit="250" MinorUnit="50" StartAngle="-45" EndAngle="225">
                <MajorTicks Size="10" Color="#000000" />
                <MinorTicks Size="5" Color="#000000" />
                <Labels Color="#000000" Font="bold 14px Arial,Verdana,Tahoma" />
                <Ranges>
                    <telerik:GaugeRange From="0" To="700" Color="Red" />
                    <telerik:GaugeRange From="700" To="1100" Color="Green" />
                </Ranges>
            </Scale>
        </telerik:RadRadialGauge>
    </div>
    <div class="thermometerHolder">
        <telerik:RadRadialGauge runat="server" ID="ThermometerGauge" Width="370" Height="370">
            <Pointer Value="250" Color="#000000">
            </Pointer>
            <Scale Min="-0" Max="1100" MajorUnit="250" MinorUnit="50" StartAngle="-45" EndAngle="225">
                <MajorTicks Size="5" Color="#777777" />
                <MinorTicks Size="2" Color="#777777" />
                <Labels Position="Outside" Color="#000000" Font="bold 11px Arial,Verdana,Tahoma"
                    Visible="false" />
                <Ranges>
                    <telerik:GaugeRange From="0" To="250" Color="Red" />
                    <telerik:GaugeRange From="250" To="1100" Color="Green" />
                </Ranges>
            </Scale>
        </telerik:RadRadialGauge>
    </div>
    </form>
</body>
</html>
